package com.sooka.system.gas.zenner_gas_meter_infor.service.impl;

import com.sooka.common.core.text.Convert;
import com.sooka.common.utils.DateUtils;
import com.sooka.framework.util.ShiroUtils;
import com.sooka.system.gas.zenner_gas_meter_infor.domain.TGuijiZennerGasMeterInfor;
import com.sooka.system.gas.zenner_gas_meter_infor.mapper.TGuijiZennerGasMeterInforMapper;
import com.sooka.system.gas.zenner_gas_meter_infor.service.ITGuijiZennerGasMeterInforService;
import com.sooka.system.service.impl.Guiji_Base_Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 真兰收费系统-表具信息Service业务层处理
 *
 * @author lei
 * @date 2022-08-22
 */
@Service
public class TGuijiZennerGasMeterInforServiceImpl extends Guiji_Base_Service implements ITGuijiZennerGasMeterInforService
{
    @Resource
    private TGuijiZennerGasMeterInforMapper mapper;

    /**
     * 查询真兰收费系统-表具信息
     *
     * @param id 真兰收费系统-表具信息ID
     * @return 真兰收费系统-表具信息
     */
    @Override
    public TGuijiZennerGasMeterInfor selectById(String id)
    {
        return mapper.selectById(id);
    }

    /**
     * 查询真兰收费系统-表具信息列表
     *
     * @param param 真兰收费系统-表具信息
     * @return 真兰收费系统-表具信息
     */
    @Override
    public List<TGuijiZennerGasMeterInfor> selectList(TGuijiZennerGasMeterInfor param)
    {
        List<TGuijiZennerGasMeterInfor> list = mapper.selectList(param);
        param.setOperationStatus(1L);
        param.setParam(param.toString());
        param.setInterfacetype("platform_interfacetype_1");//1 共享 2归集
        param.setInterfaceinfoId("847adf78-e5b3-433a-bae7-3e71b1ad0e11");
        param.setInterfaceinfoName("共享（市）-真兰收费系统-表具信息");
        Long deptId = ShiroUtils.getSysUser().getDept().getDeptId();
        String deptName = ShiroUtils.getSysUser().getDept().getDeptName();
        param.setDeptId(deptId);
        param.setDeptName(deptName);
        add_log(param);
        return list;
    }

    /**
     * 新增真兰收费系统-表具信息
     *
     * @param param 真兰收费系统-表具信息
     * @return 结果
     */
    @Override
    public int insert(TGuijiZennerGasMeterInfor param)
    {
        param.setCreateTime(DateUtils.getNowDate());
        return mapper.insert(param);
    }

    /**
     * 修改真兰收费系统-表具信息
     *
     * @param param 真兰收费系统-表具信息
     * @return 结果
     */
    @Override
    public int update(TGuijiZennerGasMeterInfor param)
    {
        return mapper.update(param);
    }

    /**
     * 删除真兰收费系统-表具信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteByIds(String ids)
    {
        return mapper.deleteByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除真兰收费系统-表具信息信息
     *
     * @param id 真兰收费系统-表具信息ID
     * @return 结果
     */
    @Override
    public int deleteById(String id)
    {
        return mapper.deleteById(id);
    }
}
